# - Config file for the is-fiware package
#
# This package helps is middleware interface extensions to link against

cmake_minimum_required(VERSION 3.5.1 FATAL_ERROR)

if(is-fiware_CONFIG_INCLUDED)
  return()
endif()
set(is-fiware_CONFIG_INCLUDED TRUE)

if(NOT TARGET is::is-fiware)
  include("${CMAKE_CURRENT_LIST_DIR}/is-fiware-target.cmake")
endif()

if(NOT TARGET is::fiware)
  add_library(is::fiware INTERFACE IMPORTED)
  set_target_properties(is::fiware PROPERTIES
    INTERFACE_LINK_LIBRARIES is::is-fiware
  )
endif()

include(CMakeFindDependencyMacro)
find_dependency(is-core)

foreach(extension )
  include(${CMAKE_CURRENT_LIST_DIR}/extensions/${extension})
endforeach()

foreach(dep )
  find_package(${dep} REQUIRED)
endforeach()

set(is-fiware_FOUND TRUE)
